Name:           perl-Test2-AsyncSubtest
Version:        0.000018
Release:        1%{?dist}
Summary:        Tools for writing asynchronous subtest
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test2-AsyncSubtest/
Source0:        http://www.cpan.org/authors/id/E/EX/EXODIST/Test2-AsyncSubtest-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Scope::Guard)
# Test2::API version from Test2 in META
BuildRequires:  perl(Test2::API) >= 1.302032
BuildRequires:  perl(Test2::API::Context)
BuildRequires:  perl(Test2::Event)
BuildRequires:  perl(Test2::Event::Exception)
BuildRequires:  perl(Test2::Hub::Subtest)
BuildRequires:  perl(Test2::IPC)
# Test2::Suite not used
BuildRequires:  perl(Test2::Util)
BuildRequires:  perl(Test2::Util::HashBase)
BuildRequires:  perl(Test2::Util::Trace)
BuildRequires:  perl(Time::HiRes)
# Optional run-time:
BuildRequires:  perl(threads) >= 1.34
# Tests:
# Test2::Bundle::Extended version from Test2::Suite in META
BuildRequires:  perl(Test2::Bundle::Extended) >= 0.000034
BuildRequires:  perl(Test2::Tools::Basic)
BuildRequires:  perl(Test2::Tools::Compare)
BuildRequires:  perl(Test2::Util::Table)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Test2::API version from Test2 in META
Requires:       perl(Test2::API) >= 1.302032
Requires:       perl(Test2::Event::Exception)
Recommends:     perl(threads) >= 1.34

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Test2::API\\)$

%description
These are tools for writing asynchronous subtests. Asynchronous subtests are
subtests which can be started and stashed so that they can continue to receive
events while other events are also being generated.

%prep
%setup -q -n Test2-AsyncSubtest-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Jun 27 2016 Petr Pisar <ppisar@redhat.com> - 0.000018-1
- 0.000018 bump

* Wed Jun 01 2016 Petr Pisar <ppisar@redhat.com> 0.000016-1
- Specfile autogenerated by cpanspec 1.78.
